<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\Import\ImportBatchId;
use DomainException;

use function sprintf;

final class ImportDejaEnCoursException extends DomainException
{
    public static function pourBatch(ImportBatchId $batchId): self
    {
        return new self(sprintf(
            'L\'import "%s" est déjà en cours de traitement.',
            $batchId,
        ));
    }
}
